#ifndef _CLIENT_H
#define _CLIENT_H

#include "includes/sock.hpp"

/* Client class - Inherits from 'Sock' class - Defines a TCP/UDP client.  */

class Client : public Sock {

public:
	Client() {}

	Client(int ip_ver, char protocol, const char* address, int port) : Sock(ip_ver, protocol, address, port) {}

	void create_socket() override;

	void sendAll(std::string to_send);

	std::string recvAll();
};
#endif
